Subject: Re: bug#44604: 27.1; gpg error when language environment is set to Turkish

From: Fatih Aydin <[email-masked]>
Date: Fri, 13 Nov 2020 14:19:00 +0000

No, the package doesn't matter, the error occurs before it asks for a
package.

When you run for the first time (without .emacs.d folder), before
package-install asks for the package name, it installs some files to
.emacs.d (.emacs.d/elpa/archives and .emacs.d/elpa/gnupg folders are
created). This is what normally happens, but with 'LANG=tr_TR.UTF-8' or
'current-language-environment=Turkish' it first prompts:

Emergency (url): Unknown proxy directive: DIRECT

Then the error report comes:

Error while verifying signature archive-contents.sig:

Command output:
gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Good signature from "GNU ELPA Signing Agent (2019) <
[email-masked]>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the
owner.
Primary key fingerprint: C433 5547 66D3 DDC6 4221  BFAA 066D AFCB 81E4 2C40

Additional info: When I try to connect a website using eww, I again get
this message a few more times while the website is loading:
Emergency (url): Unknown proxy directive: DIRECT

On Fri, Nov 13, 2020 at 12:08 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Fatih Aydin <[email-masked]>
> > Date: Fri, 13 Nov 2020 09:10:41 +0000
> > Cc: "[email-masked]" <[email-masked]>
> >
> > Steps to reproduce:
> > - Start Emacs
> > - Set language environment to Turkish. (doesn't matter how you do it:
> customize menu or use
> > set-language-environment or change LANG variable of the system) To have
> the result without a reboot, use
> > set-language-environment function.
> > - Run package-install, you will get the error I mentioned. Also before
> that error you will see some messages
> > with 'unknown proxy direct' in it.
>
> package-install asks for a package.  Does it matter what package to
> select here?  Which package did you try to install when you got the
> error?
>
> > I have tested this on two different laptops with same OS and the same
> internet connection. I got the same
> > result.
>
> Thanks, I will look into this soon if no one beats me up to it.
>